DROP PROCEDURE #update_stfl;
GO
CREATE PROCEDURE #update_stfl  
(  
	@table NVARCHAR(50)  
	, @field NVARCHAR(50)
	, @lang NVARCHAR(50)
	, @title NVARCHAR(500)
	, @description NVARCHAR(500)
)  
AS  
BEGIN  
	DECLARE @stfid int
	SELECT @stfid = sys_table_field_id FROM sys_table_field stf
		JOIN sys_table st ON st.sys_table_id = stf.sys_table_id
		WHERE stf.field_name = @field
		AND st.table_name = @table
	DECLARE @slid int
	SELECT @slid = sys_lang_id FROM sys_lang WHERE title = @lang OR ietf_tag = @lang

	IF EXISTS (SELECT 1 FROM sys_table_field_lang WHERE sys_table_field_id = @stfid AND sys_lang_id = @slid)
		UPDATE sys_table_field_lang
		SET title = @title, description = @description
			,modified_by = 48, modified_date = GETUTCDATE()
		WHERE sys_table_field_id = @stfid AND sys_lang_id = @slid;
	ELSE
		INSERT INTO sys_table_field_lang
		VALUES (@stfid, @slid, @title, @description, GETUTCDATE(), 48, NULL, NULL, GETUTCDATE(), 48);
END;
GO

/* SQL to generate lines from existing data entered by hand with AT
SELECT 'EXEC #update_stfl '''
  + st.table_name
  + ''', ''' + stf.field_name
  + ''', '''+sl.ietf_tag+''', ''' + REPLACE(COALESCE(stfl.title, ''), '''', '''''')
  + ''', ''' + REPLACE(COALESCE (stfl.description, ''), '''', '''''')
  + ''''
  --, sl.*
FROM sys_table_field stf
JOIN sys_table st ON st.sys_table_id = stf.sys_table_id
JOIN sys_table_field_lang stfl ON stfl.sys_table_field_id = stf.sys_table_field_id --AND stfl.sys_lang_id = 1
JOIN sys_lang sl ON sl.sys_lang_id = stfl.sys_lang_id
WHERE st.table_name = 'vc_inventory'
ORDER BY sl.sys_lang_id, st.table_name, stf.field_ordinal
*/

EXEC #update_stfl 'vc_inventory', 'inventory_id', 'en-US', 'Inventory ID', 'inventory_id  -- The Inventory table''s primary key (PK) field. (Auto-generated by GRIN-Global, cannot be edited.)'
EXEC #update_stfl 'vc_inventory', 'site_id', 'en-US', 'Inventory Maintenance Site', ''
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'en-US', 'Taxon', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'en-US', 'Origin', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'en-US', 'Name', 'plant_name -- Plant name assigned to display in the accession dataview. (Sometimes referred to as the top name.) An accession or inventory may be known by multiple names and therefore may have multiple name records; however, only one name is listed in the accession dataview - the name whose plant_name_rank has the lowest value'
EXEC #update_stfl 'vc_inventory', 'inv_name', 'en-US', 'Inventory Name', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'en-US', 'Percent Viable', 'percent_viable -- Contains the percent viability of the inventory sample. This value is calculated from the percent normal germination (percent_normal) and the percent dormant propagules (percent_dormant)'
EXEC #update_stfl 'vc_inventory', 'tested_date', 'en-US', 'Tested Date', 'tested_date -- Date when the germination test was conducted'
EXEC #update_stfl 'vc_inventory', 'pure_live_seed', 'en-US', 'Pure Live Seed', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id_string', 'en-US', 'Inventory', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'es-419', 'ID del Inventario', ''
EXEC #update_stfl 'vc_inventory', 'site_id', 'es-419', 'del propietario del sitio ID', ''
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'es-419', 'ID Especie Taxonómica', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'es-419', 'Origen', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'es-419', 'Nombre', ''
EXEC #update_stfl 'vc_inventory', 'inv_name', 'es-419', 'Nombre', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'es-419', 'Porcentaje viable', ''
EXEC #update_stfl 'vc_inventory', 'tested_date', 'es-419', 'Fecha de la prueba', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'fr-FR', 'ID de l''inventaire', ''
EXEC #update_stfl 'vc_inventory', 'site_id', 'fr-FR', 'ID Site', ''
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'fr-FR', 'ID de la taxonomie', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'fr-FR', 'Origine', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'fr-FR', 'Nom', ''
EXEC #update_stfl 'vc_inventory', 'inv_name', 'fr-FR', 'Nom', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'fr-FR', 'Pourcentage de viables', ''
EXEC #update_stfl 'vc_inventory', 'tested_date', 'fr-FR', 'Date du test', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'ar', 'الجرد', ''
EXEC #update_stfl 'vc_inventory', 'site_id', 'ar', 'تعريف الموقع', ''
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'ar', 'تعريف النوع وفق التصنيف', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'ar', 'تعريف الجغرافية', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'ar', 'اسم', ''
EXEC #update_stfl 'vc_inventory', 'inv_name', 'ar', 'اسم', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'ar', 'النسبة المئوية للقابل للحياة ', ''
EXEC #update_stfl 'vc_inventory', 'tested_date', 'ar', 'تاريخ الاختبار', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'ru-RU', 'инвентаризация ID', ''
EXEC #update_stfl 'vc_inventory', 'site_id', 'ru-RU', 'владелец сайта ID', ''
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'ru-RU', 'Таксон', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'ru-RU', 'ID география', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'ru-RU', 'название', ''
EXEC #update_stfl 'vc_inventory', 'inv_name', 'ru-RU', 'название', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'ru-RU', 'процент жизнеспособных', ''
EXEC #update_stfl 'vc_inventory', 'tested_date', 'ru-RU', 'дата теста', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'pt-BR', 'ID conservacao', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'pt-BR', 'Název', ''
EXEC #update_stfl 'vc_inventory', 'inv_name', 'pt-BR', 'Název', ''
EXEC #update_stfl 'vc_inventory', 'tested_date', 'pt-BR', 'Data do teste', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'cs', 'Puvod', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'en-SYS', 'inventory_id', ''
EXEC #update_stfl 'vc_inventory', 'site_id', 'en-SYS', 'site_id', ''
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'en-SYS', 'taxonomy_species_id', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'en-SYS', 'geography_id', ''
EXEC #update_stfl 'vc_inventory', 'plant_name', 'en-SYS', 'plant_name', ''
EXEC #update_stfl 'vc_inventory', 'inv_name', 'en-SYS', 'plant_name', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'en-SYS', 'percent_viable', ''
EXEC #update_stfl 'vc_inventory', 'tested_date', 'en-SYS', 'tested_date', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id', 'x-en-CODE', 'Inventory ID', 'inventory_id  -- The Inventory table''s primary key (PK) field. (Auto-generated by GRIN-Global, cannot be edited.)'
EXEC #update_stfl 'vc_inventory', 'site_id', 'x-en-CODE', 'Site ID', 'site_id -- Table''s primary key (PK) field auto-generated by GRIN-Global, cannot be edited'
EXEC #update_stfl 'vc_inventory', 'taxonomy_species_id', 'x-en-CODE', 'Taxon', ''
EXEC #update_stfl 'vc_inventory', 'geography_id', 'x-en-CODE', 'Geography ID', 'geography_id -- The geography key field auto-generated by GRIN-Global; cannot be edited)'
EXEC #update_stfl 'vc_inventory', 'plant_name', 'x-en-CODE', 'Name', 'plant_name -- Plant name assigned to display in the accession dataview. (Sometimes referred to as the top name.) An accession or inventory may be known by multiple names and therefore may have multiple name records; however, only one name is listed in the accession dataview - the name whose plant_name_rank has the lowest value'
EXEC #update_stfl 'vc_inventory', 'inv_name', 'x-en-CODE', 'Inventory Name', ''
EXEC #update_stfl 'vc_inventory', 'percent_viable', 'x-en-CODE', 'Percent Viable', 'percent_viable -- Contains the percent viability of the inventory sample. This value is calculated from the percent normal germination (percent_normal) and the percent dormant propagules (percent_dormant)'
EXEC #update_stfl 'vc_inventory', 'tested_date', 'x-en-CODE', 'Tested Date', 'tested_date -- Date when the germination test was conducted'
EXEC #update_stfl 'vc_inventory', 'pure_live_seed', 'x-en-CODE', 'Pure Live Seed', ''EXEC #update_stfl 'vc_inventory', 'inv_name', 'ENG', 'Inventory Name', ''
EXEC #update_stfl 'vc_inventory', 'inventory_id_string', 'x-en-CODE', 'Inventory', ''

EXEC #update_stfl 'taxonomy_cwr_crop', 'taxonomy_cwr_crop_id', 'en-US', 'Taxonomy CWR Crop ID', 'taxonomy_cwr_crop_id -- The taxonomy_cwr_crop table''s primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_cwr_crop', 'crop_name', 'en-US', 'Crop Name', 'crop_name -- The taxonomic crop name'
EXEC #update_stfl 'taxonomy_cwr_crop', 'note', 'en-US', 'Note', 'note -- Generic comments about the taxonomic crop wild relative'
EXEC #update_stfl 'taxonomy_cwr_crop', 'created_date', 'en-US', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_cwr_crop', 'created_by', 'en-US', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_cwr_crop', 'modified_date', 'en-US', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_cwr_crop', 'modified_by', 'en-US', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_cwr_crop', 'owned_date', 'en-US', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_cwr_crop', 'owned_by', 'en-US', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_cwr_crop', 'taxonomy_cwr_crop_id', 'ENG', 'Taxonomy CWR Crop ID', 'taxonomy_cwr_crop_id -- The taxonomy_cwr_crop table''s primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_cwr_crop', 'crop_name', 'ENG', 'Crop Name', 'crop_name -- The taxonomic crop name'
EXEC #update_stfl 'taxonomy_cwr_crop', 'note', 'ENG', 'Note', 'note -- Generic comments about the taxonomic crop wild relative'
EXEC #update_stfl 'taxonomy_cwr_crop', 'created_date', 'ENG', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_cwr_crop', 'created_by', 'ENG', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_cwr_crop', 'modified_date', 'ENG', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_cwr_crop', 'modified_by', 'ENG', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_cwr_crop', 'owned_date', 'ENG', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_cwr_crop', 'owned_by', 'ENG', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_cwr_map', 'taxonomy_cwr_map_id', 'en-US', 'Taxonomy CWR Map ID', 'taxonomy_cwr_map_id -- The taxonomy_cwr_map table''s primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_cwr_map', 'taxonomy_species_id', 'en-US', 'Taxon', 'taxonomy_species_id -- The species or infraspecies key field that links to the taxonomy species table'
EXEC #update_stfl 'taxonomy_cwr_map', 'taxonomy_cwr_crop_id', 'en-US', 'CWR Crop', 'taxonomy_cwr_crop_id -- Links to a record in the Taxonomy CWR Crop table'
EXEC #update_stfl 'taxonomy_cwr_map', 'crop_common_name', 'en-US', 'Crop Common Name', 'crop_common_name -- The common name for the crop and/or subcrops. Example: WHEAT; CHERRY, SOUR; CHERRY, SWEET'
EXEC #update_stfl 'taxonomy_cwr_map', 'is_crop', 'en-US', 'Is Crop?', 'is_crop -- Y/N flag indicating not just a relative'
EXEC #update_stfl 'taxonomy_cwr_map', 'genepool_code', 'en-US', 'Genepool', 'genepool_code -- Field indicates genepool relationship level'
EXEC #update_stfl 'taxonomy_cwr_map', 'is_graftstock', 'en-US', 'Is Graftstock Genepool?', 'is_graftstock --  Y/N flag indicating graftstock'
EXEC #update_stfl 'taxonomy_cwr_map', 'is_potential', 'en-US', 'Is Potential?', 'is_potential -- Y/N flag indicating a potential relative or trait'
EXEC #update_stfl 'taxonomy_cwr_map', 'citation_id', 'en-US', 'Citation', 'citation_id -- Links record to a record in the Citation table'
EXEC #update_stfl 'taxonomy_cwr_map', 'note', 'en-US', 'Note', 'note -- Generic comments about the taxonomic crop wild relative'
EXEC #update_stfl 'taxonomy_cwr_map', 'created_date', 'en-US', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_cwr_map', 'created_by', 'en-US', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_cwr_map', 'modified_date', 'en-US', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_cwr_map', 'modified_by', 'en-US', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_cwr_map', 'owned_date', 'en-US', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_cwr_map', 'owned_by', 'en-US', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_cwr_map', 'taxonomy_cwr_map_id', 'ENG', 'Taxonomy CWR Map ID', 'taxonomy_cwr_map_id -- The taxonomy_cwr_map table''s primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_cwr_map', 'taxonomy_species_id', 'ENG', 'Taxon', 'taxonomy_species_id -- The species or infraspecies key field that links to the taxonomy species table'
EXEC #update_stfl 'taxonomy_cwr_map', 'taxonomy_cwr_crop_id', 'ENG', 'CWR Crop', 'taxonomy_cwr_crop_id -- Links to a record in the Taxonomy CWR Crop table'
EXEC #update_stfl 'taxonomy_cwr_map', 'crop_common_name', 'ENG', 'Crop Common Name', 'crop_common_name -- The common name for the crop and/or subcrops. Example: WHEAT; CHERRY, SOUR; CHERRY, SWEET'
EXEC #update_stfl 'taxonomy_cwr_map', 'is_crop', 'ENG', 'Is Crop?', 'is_crop -- Y/N flag indicating not just a relative'
EXEC #update_stfl 'taxonomy_cwr_map', 'genepool_code', 'ENG', 'Genepool', 'genepool_code -- Field indicates genepool relationship level'
EXEC #update_stfl 'taxonomy_cwr_map', 'is_graftstock', 'ENG', 'Is Graftstock Genepool?', 'is_graftstock --  Y/N flag indicating graftstock'
EXEC #update_stfl 'taxonomy_cwr_map', 'is_potential', 'ENG', 'Is Potential?', 'is_potential -- Y/N flag indicating a potential relative or trait'
EXEC #update_stfl 'taxonomy_cwr_map', 'citation_id', 'ENG', 'Citation', 'citation_id -- Links record to a record in the Citation table'
EXEC #update_stfl 'taxonomy_cwr_map', 'note', 'ENG', 'Note', 'note -- Generic comments about the taxonomic crop wild relative'
EXEC #update_stfl 'taxonomy_cwr_map', 'created_date', 'ENG', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_cwr_map', 'created_by', 'ENG', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_cwr_map', 'modified_date', 'ENG', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_cwr_map', 'modified_by', 'ENG', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_cwr_map', 'owned_date', 'ENG', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_cwr_map', 'owned_by', 'ENG', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_cwr_trait', 'taxonomy_cwr_trait_id', 'en-US', 'Taxonomy CWR Trait ID', 'taxonomy_cwr_trait_id -- The taxonomy_cwr_trait table''s primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_cwr_trait', 'taxonomy_cwr_map_id', 'en-US', 'Taxonomy CWR Map', 'taxonomy_cwr_map_id -- Link to a record in the taxonomy crop CWR table'
EXEC #update_stfl 'taxonomy_cwr_trait', 'trait_class_code', 'en-US', 'Trait Class', 'trait_class_code -- Trait Class'
EXEC #update_stfl 'taxonomy_cwr_trait', 'is_potential', 'en-US', 'Is Potential?', 'is_potential -- Y/N flag indicating a potential relative or trait'
EXEC #update_stfl 'taxonomy_cwr_trait', 'breeding_type_code', 'en-US', 'Breeding Type', 'breeding_type_code -- Breeding type'
EXEC #update_stfl 'taxonomy_cwr_trait', 'breeding_usage_note', 'en-US', 'Breeding Usage', 'breeding_usage_note - Breeding usage'
EXEC #update_stfl 'taxonomy_cwr_trait', 'ontology_trait_identifier', 'en-US', 'Ontology Trait Identifier', 'ontology_trait_identifier - Ontology trait identifier'
EXEC #update_stfl 'taxonomy_cwr_trait', 'citation_id', 'en-US', 'Citation', 'citation_id -- Links record to a record in the Citation table'
EXEC #update_stfl 'taxonomy_cwr_trait', 'note', 'en-US', 'Note', 'note -- Generic comments about the taxonomic crop wild relative'
EXEC #update_stfl 'taxonomy_cwr_trait', 'created_date', 'en-US', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_cwr_trait', 'created_by', 'en-US', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_cwr_trait', 'modified_date', 'en-US', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_cwr_trait', 'modified_by', 'en-US', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_cwr_trait', 'owned_date', 'en-US', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_cwr_trait', 'owned_by', 'en-US', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_cwr_trait', 'taxonomy_cwr_trait_id', 'ENG', 'Taxonomy CWR Trait ID', 'taxonomy_cwr_trait_id -- The taxonomy_cwr_trait table''s primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_cwr_trait', 'taxonomy_cwr_map_id', 'ENG', 'Taxonomy CWR Map', 'taxonomy_cwr_map_id -- Link to a record in the taxonomy crop CWR table'
EXEC #update_stfl 'taxonomy_cwr_trait', 'trait_class_code', 'ENG', 'Trait Class', 'trait_class_code -- Trait Class'
EXEC #update_stfl 'taxonomy_cwr_trait', 'is_potential', 'ENG', 'Is Potential?', 'is_potential -- Y/N flag indicating a potential relative or trait'
EXEC #update_stfl 'taxonomy_cwr_trait', 'breeding_type_code', 'ENG', 'Breeding Type', 'breeding_type_code -- Breeding type'
EXEC #update_stfl 'taxonomy_cwr_trait', 'breeding_usage_note', 'ENG', 'Breeding Usage', 'breeding_usage_note - Breeding usage'
EXEC #update_stfl 'taxonomy_cwr_trait', 'ontology_trait_identifier', 'ENG', 'Ontology Trait Identifier', 'ontology_trait_identifier - Ontology trait identifier'
EXEC #update_stfl 'taxonomy_cwr_trait', 'citation_id', 'ENG', 'Citation', 'citation_id -- Links record to a record in the Citation table'
EXEC #update_stfl 'taxonomy_cwr_trait', 'note', 'ENG', 'Note', 'note -- Generic comments about the taxonomic crop wild relative'
EXEC #update_stfl 'taxonomy_cwr_trait', 'created_date', 'ENG', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_cwr_trait', 'created_by', 'ENG', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_cwr_trait', 'modified_date', 'ENG', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_cwr_trait', 'modified_by', 'ENG', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_cwr_trait', 'owned_date', 'ENG', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_cwr_trait', 'owned_by', 'ENG', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_regulation', 'taxonomy_regulation_id', 'en-US', 'Taxonomy Regulation ID', 'taxonomy_regulation_id -- Primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_regulation', 'geography_id', 'en-US', 'Geography', 'geography_id -- Links record to the geography table'
EXEC #update_stfl 'taxonomy_regulation', 'regulation_type_code', 'en-US', 'Regulation Type', 'regulation_type_code -- A code qualifying the regulation category. Must be a value in the TAXONOMY_NOXIOUS_TYPE Code Group. Examples: TURF, TERRAIN'
EXEC #update_stfl 'taxonomy_regulation', 'regulation_level_code', 'en-US', 'Regulation Level', 'regulation_level_code -- A code qualifying the regulation level. Must be a value in the TAXONOMY_NOXIOUS_LEVEL Code Group. Examples: A - D, PROHIBITED '
EXEC #update_stfl 'taxonomy_regulation', 'description', 'en-US', 'Description', 'description --'
EXEC #update_stfl 'taxonomy_regulation', 'url_1', 'en-US', 'URL 1', 'url_1 -- A URL attachment for the regulation record'
EXEC #update_stfl 'taxonomy_regulation', 'url_2', 'en-US', 'URL 2', 'url_2 -- A second URL attachment for the regulation record'
EXEC #update_stfl 'taxonomy_regulation', 'note', 'en-US', 'Note', 'note -- Generic comments on the taxonomic regulation table'
EXEC #update_stfl 'taxonomy_regulation', 'created_date', 'en-US', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_regulation', 'created_by', 'en-US', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_regulation', 'modified_date', 'en-US', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_regulation', 'modified_by', 'en-US', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_regulation', 'owned_date', 'en-US', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_regulation', 'owned_by', 'en-US', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_regulation', 'taxonomy_regulation_id', 'ENG', 'Taxonomy Regulation ID', 'taxonomy_regulation_id -- Primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_regulation', 'geography_id', 'ENG', 'Geography', 'geography_id -- Links record to the geography table'
EXEC #update_stfl 'taxonomy_regulation', 'regulation_type_code', 'ENG', 'Regulation Type', 'regulation_type_code -- A code qualifying the regulation category. Must be a value in the TAXONOMY_NOXIOUS_TYPE Code Group. Examples: TURF, TERRAIN'
EXEC #update_stfl 'taxonomy_regulation', 'regulation_level_code', 'ENG', 'Regulation Level', 'regulation_level_code -- A code qualifying the regulation level. Must be a value in the TAXONOMY_NOXIOUS_LEVEL Code Group. Examples: A - D, PROHIBITED '
EXEC #update_stfl 'taxonomy_regulation', 'description', 'ENG', 'Description', 'description --'
EXEC #update_stfl 'taxonomy_regulation', 'url_1', 'ENG', 'URL 1', 'url_1 -- A URL attachment for the regulation record'
EXEC #update_stfl 'taxonomy_regulation', 'url_2', 'ENG', 'URL 2', 'url_2 -- A second URL attachment for the regulation record'
EXEC #update_stfl 'taxonomy_regulation', 'note', 'ENG', 'Note', 'note -- Generic comments on the taxonomic regulation table'
EXEC #update_stfl 'taxonomy_regulation', 'created_date', 'ENG', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_regulation', 'created_by', 'ENG', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_regulation', 'modified_date', 'ENG', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_regulation', 'modified_by', 'ENG', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_regulation', 'owned_date', 'ENG', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_regulation', 'owned_by', 'ENG', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_regulation_map_id', 'en-US', 'Taxonomy Regulation Map ID', 'Primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_family_id', 'en-US', 'Family', 'taxonomy_family_id -- Links the record to the taxonomy family table'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_genus_id', 'en-US', 'Genus', 'taxonomy_genus_id -- Links the record to the taxonomy genus table'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_species_id', 'en-US', 'Taxon', 'taxonomy_species_id -- Links the record to the taxonomy species table'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_regulation_id', 'en-US', 'Regulation', 'taxonomy_regulation_id -- Links the record to the taxonomy regulation table'
EXEC #update_stfl 'taxonomy_regulation_map', 'note', 'en-US', 'Note', 'note -- Generic comments on the taxonomic regulation map table'
EXEC #update_stfl 'taxonomy_regulation_map', 'created_date', 'en-US', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_regulation_map', 'created_by', 'en-US', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_regulation_map', 'modified_date', 'en-US', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_regulation_map', 'modified_by', 'en-US', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_regulation_map', 'owned_date', 'en-US', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_regulation_map', 'owned_by', 'en-US', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'

EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_regulation_map_id', 'ENG', 'Taxonomy Regulation Map ID', 'Primary key (PK) field auto-generated by GRIN-Global; cannot be edited'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_family_id', 'ENG', 'Family', 'taxonomy_family_id -- Links the record to the taxonomy family table'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_genus_id', 'ENG', 'Genus', 'taxonomy_genus_id -- Links the record to the taxonomy genus table'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_species_id', 'ENG', 'Taxon', 'taxonomy_species_id -- Links the record to the taxonomy species table'
EXEC #update_stfl 'taxonomy_regulation_map', 'taxonomy_regulation_id', 'ENG', 'Regulation', 'taxonomy_regulation_id -- Links the record to the taxonomy regulation table'
EXEC #update_stfl 'taxonomy_regulation_map', 'note', 'ENG', 'Note', 'note -- Generic comments on the taxonomic regulation map table'
EXEC #update_stfl 'taxonomy_regulation_map', 'created_date', 'ENG', 'Created Date', 'created_date -- Date when the record was initially inserted into the database'
EXEC #update_stfl 'taxonomy_regulation_map', 'created_by', 'ENG', 'Created By', 'created_by -- Cooperator_ID of the person who created the record'
EXEC #update_stfl 'taxonomy_regulation_map', 'modified_date', 'ENG', 'Modified Date', 'modified_date -- Date when the record was last updated'
EXEC #update_stfl 'taxonomy_regulation_map', 'modified_by', 'ENG', 'Modified By', 'modified_by -- Cooperator_ID of the person who modified the record'
EXEC #update_stfl 'taxonomy_regulation_map', 'owned_date', 'ENG', 'Owned Date', 'owned_date -- Date when the record became owned by the current owner'
EXEC #update_stfl 'taxonomy_regulation_map', 'owned_by', 'ENG', 'Owned By', 'owned_by -- Cooperator_ID of the current record owner'
